Package org.jboss.resteasy.security.doseta

## Class VerificationResults

- java.lang.Object
- - org.jboss.resteasy.security.doseta.VerificationResults

-     public class VerificationResults
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<VerificationResultSet>` | `results` |
    `protected boolean` | `verified` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VerificationResults()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VerificationResult` | `getFirstResult​(Verification verification)` |
    `List<VerificationResultSet>` | `getResults()` |
    `VerificationResultSet` | `getResultSet​(Verification verification)` |
    `boolean` | `isVerified()` |
    `void` | `setResults​(List<VerificationResultSet> results)` |
    `void` | `setVerified​(boolean verified)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### verified

          protected boolean verified

    - #### results

          protected List<VerificationResultSet> results

  - ### Constructor Detail

    - #### VerificationResults

          public VerificationResults()

  - ### Method Detail

    - #### isVerified

          public boolean isVerified()

    - #### setVerified

          public void setVerified​(boolean verified)

    - #### getResultSet

          public VerificationResultSet getResultSet​(Verification verification)

    - #### getFirstResult

          public VerificationResult getFirstResult​(Verification verification)

    - #### getResults

          public List<VerificationResultSet> getResults()

    - #### setResults

          public void setResults​(List<VerificationResultSet> results)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`